import { RawReducer } from './interfaces/raw-reducer.interface';
import { createStoreType } from './types/create-store.type';
import { dispatchType } from './types/dispatch.type';
import { ReplaySubject } from 'rxjs';
declare class CoreService {
    store: any;
    rawReducers: RawReducer[];
    private static instance;
    state$: ReplaySubject<any>;
    constructor();
    createStore: createStoreType;
    getStore(): any;
    getState(): any;
    dispatch: dispatchType;
    addRawReducer(params: RawReducer): void;
    getRawReducer(stateClass: any): RawReducer | undefined;
    private getState$;
    private addedParentField;
    private createReducers;
}
export declare const coreService: CoreService;
export {};
