import { createStoreType } from './types/create-store.type';
import { dispatchType } from './types/dispatch.type';
import { handlerSelectType, pathSelectType, stateSelectType } from './interfaces/select-params.interface';
import { Observable } from 'rxjs';
declare class XsStore {
    private static instance;
    createStore: createStoreType;
    dispatch: dispatchType;
    constructor();
    select<T = any>(params: pathSelectType): Observable<T>;
    select<T = any>(params: handlerSelectType): Observable<T>;
    select<T = any>(params: stateSelectType): Observable<T>;
}
export declare const xsStore: XsStore;
export {};
