import { selectParamsType } from './interfaces/select-params.interface';
export declare class SelectorDecorator<T> {
    private target;
    private propertyKey;
    constructor(target: T, propertyKey: string);
    onInit(): void;
}
export declare function Selector(params?: selectParamsType): <T>(target: T, propertyKey: string, descriptor?: PropertyDescriptor | undefined) => PropertyDescriptor | undefined;
